@font-face {
    font-family: 'Al_Veshion_PersonalUseOnly';
    font-weight: 600;
    src: url(../fonts/Al_Veshion_PersonalUseOnly.ttf) format('truetype');
}

body {
    font-family: 'helvetica';
}

.font-al {
    font-family: 'Al_Veshion_PersonalUseOnly';
}

.title1 {
    margin-bottom: 0;
    font-size: clamp(2rem, 7vw, 3rem);
}

.title2 {
    font-size: clamp(1.5rem, 6vw, 2.5rem);
    margin: 0 .5rem;
}

.title3 {
    margin-bottom: 0;
    font-size: clamp(1rem, 5vw, 1.5rem);
}

.bg-general {
    background-image: url(../images/fondo.jpg);
    background-repeat: repeat-x;
    background-size: contain;
}

.bg-adornos1 {
    background-image: url(../images/adornos1.png);
    background-size: cover;
    background-position: center;
}

.bg-adornos2 {
    background-image: url(../images/bg-formulario.png);
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
}

.bg-adornosgrandes {
    background-image: url(../images/adornosgrande.png);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 2;
}

.bg-footer {
    height: 130px;
    background-image: url(../images/bg-footer.png);
    background-size: 100% 100%;
}

.background-deg {
    background-image: url(../images/fondoheader.png);
    background-repeat: repeat-x;
    background-size: contain;
}

.lineablanca {
    height: 60px;
    background-color: #ffffff;
    width: 100%;
    z-index: 0;
}

.btn-brand {
    font-weight: 600;
    background-color: #c19e30;
    color: #000;
    text-transform: uppercase;
    padding: .2rem 1.5rem;
}

.text-brand {
    color: #e9b34f;
}

.navbar {
    height: 60px;
}

.navbar .navbar-collapse.collapse.show,
.navbar .navbar-collapse.collapsing {
    margin-top: 0.5rem;
    z-index: 1;
    background-color: #ffffff;
    border-top: 2px solid;
}

.nav-link {
    display: block;
    padding: .5rem 1.5rem !important;
    text-transform: uppercase;
    font-size: 0.8rem;
    color: #000000 !important;
}

.nav-link:last-child {
    padding-right: 0 !important;
}

.navbar.container ul.navbar-nav {
    width: 100%;
    justify-content: space-around!important;
}

.form-group {
    margin-bottom: .5rem;
}

.form-control {
    display: block;
    height: calc(1.5em + .5rem + 2px);
}

.form-control:focus {
    color: #495057;
    background-color: #fff;
    border-color: #e9b34f;
    outline: 0;
    box-shadow: 0 0 0 0.1rem rgb(189 98 1);
}

.label-file {
    display: inline-block;
    background-color: black;
    color: white;
    padding: 0.2rem 1.2rem;
    font-family: sans-serif;
    cursor: pointer;
    margin: 0;
    text-align: center;
    position: relative;
}

.text-black {
    color: #000000 !important;
}

.font-size-sm {
    font-size: 70%;
}

.custom-control-label::before {
    top: .0;
    border: #e9b34f solid 1px;
}

.custom-checkbox .custom-control-label::before {
    border-radius: 0;
}

.bg-bingo {
    background-image: url(../images/bg-bolas.png);
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
    height: 285px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.sticky-top {
    position: -webkit-sticky;
    position: sticky !important;
    top: 0;
    z-index: 1050;
}

.sticky-top~.sticky-top {
    position: -webkit-sticky;
    position: sticky !important;
    top: 60px;
    z-index: 1050;
}

.bolablanca {
    width: 253px;
    height: 253px;
    margin-top: 5px;
    /*animation: spin .1s infinite;*/
}

.bolasaca {
    margin-top: 5px;
    position: absolute;
    width: 253px;
    height: 253px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('../images/bolablanca.png');
    background-size: contain;
}

.bolasaca img {
    width: 100px;
}

#carouselCartones {
    width: 750px;
    margin: 0 auto;
}

#carouselCartones .carousel-inner {
    width: 600px;
    margin: 0 auto;
}

.container-cartones {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.carton {
    width: 270px;
    height: 205px;
    margin: 1.5rem auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 1px;
    border: 6px solid #ffffff;
    border-radius: 25px;
    background: #ffffff;
    position: relative;
}

.carton div {
    background-color: #d6b13f;
    aspect-ratio: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 6px;
    position: relative;
}

.carton div:first-child {
    border-radius: 19px 0 0 0;
}

.carton div:last-child {
    border-radius: 0 0 19px 0;
}

.carton div:nth-child(4) {
    border-radius: 0 19px 0 0;
}

.carton div:nth-child(9) {
    border-radius: 0 0 0 19px;
}

.carton div.salido {
    border: 4px solid #b78750;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
}

.carton div.salido:before {
    font-family: 'Font Awesome 5 Free';
    content: "\f058";
    font-size: 3rem;
    position: absolute;
    opacity: .5;
    font-weight: bold;
    color: #b78750;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
}

.cartonganador {
    -webkit-box-shadow: 0px 0px 76px 15px rgb(214 177 63);
    -moz-box-shadow: 0px 0px 76px 15px rgba(214, 177, 63, 1);
    box-shadow: 0px 0px 76px 15px rgb(233 247 14);
}

.carton.cartonganador div.salido:before {
    font-family: 'Font Awesome 5 Free';
    content: "\f058";
    font-size: 1rem;
    position: absolute;
    opacity: 1;
    font-weight: bold;
    color: #b78750;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    top: -2px;
    right: 1px;
}

.borderdoble {
    height: 30px;
    border-top: 19px solid #b78750;
    border-bottom: 4px solid #b78750;
}

.bordersimple {
    height: 10px;
    background-color: #b78750;
}

.borderdark {
    margin-top: 50px;
    margin-bottom: 150px;
    height: 30px;
    border-top: 19px solid #2c2821;
    border-bottom: 4px solid #2c2821;
}

.usuariosconectados {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    list-style-type: none;
    counter-reset: css-counter 0;
    margin-bottom: 1rem;
    grid-gap: 10px;
}

.usuarioconectado {
    background-color: #231f20;
    counter-increment: css-counter 1;
    display: inline-block;
    color: #ffffff;
    padding-left: 10px;
    position: relative;
}

.usuarioconectado:before {
    /*content: counter(css-counter);*/
    position: absolute;
    left: 10px;
}

#clockdiv {
    font-family: sans-serif;
    color: #fff;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    font-weight: 900;
    text-align: center;
    font-size: 30px;
}

#clockdiv div {
    border-radius: 0px;
    position: relative;
}

#clockdiv div:first-child {
    margin-right: 2rem;
}

#clockdiv>div:before {
    content: ":";
    font-size: 3rem;
    position: absolute;
    right: -.4rem;
    top: .5rem;
    font-family: auto;
}

#clockdiv div:first-child:before {
    content: "";
    color: transparent;
    width: 100%;
    height: 70%;
    border-right: 2px solid #ffffff;
    position: absolute;
    right: -1rem;
    /* left: 0; */
    top: 24%;
}

#clockdiv>div:last-child:before {
    content: "";
}

#clockdiv div>span {
    padding: 10px 15px 0;
    border-radius: 3px;
    font-size: 3.5rem;
}

.smalltext {
    padding: 0;
    font-size: 1rem;
    margin-top: -1rem;
    font-weight: 500;
    ;
}

.rotate1 {
    animation: spin .1s infinite linear;
}

.rotate2 {
    animation: spin .3s infinite linear;
}

.rotate3 {
    animation: spin .5s infinite linear;
}

.rotate4 {
    animation: spin .8s infinite linear;
}

.rotate5 {
    -webkit-animation-name: spin;
    -webkit-animation-duration: 1s;
    -webkit-animation-iteration-count: 5;
    -webkit-animation-timing-function: linear;
    -moz-animation-name: spin;
    -moz-animation-duration: 1s;
    -moz-animation-iteration-count: 5;
    -moz-animation-timing-function: linear;
    -ms-animation-name: spin;
    -ms-animation-duration: 1s;
    -ms-animation-iteration-count: 5;
    -ms-animation-timing-function: linear;
    animation-name: spin;
    animation-duration: 1s;
    animation-iteration-count: 5;
    animation-timing-function: linear;
}

@-moz-keyframes spin {
    100% {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.premiosentregados .col-6:nth-child(odd) {
    text-align: right;
    padding: .5rem 1rem 1rem;
    position: relative;
    line-height: 1;
}

.premiosentregados .col-6:nth-child(even) {
    text-align: left;
    padding: .5rem 1rem 1rem;
    position: relative;
    line-height: 1;
}

.premiosentregados .col-6:nth-child(odd):before {
    content: "";
    position: absolute;
    border-right: 2px solid #ffffff;
    right: 0;
    height: 100%;
    top: 0;
}


/* Extra small devices (phones, 600px and down) */

@media only screen and (max-width: 600px) {}


/* Small devices (portrait tablets and large phones, 600px and up) */

@media (min-width: 576px) {}

@media only screen and (min-width: 768px) {}

@media only screen and (min-width: 992px) {}

@media only screen and (min-width: 1200px) {}

.select2-container .select2-selection--single .select2-selection__rendered {
    display: block !important;
    padding-left: 8px !important;
    padding-right: 20px !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    white-space: nowrap !important;
    height: calc(1.5rem + 0.5rem + 2px) !important;
    padding: 0.375rem 0.75rem;
    font-size: 1rem !important;
    font-weight: 400 !important;
    line-height: 1.5 !important;
    color: #495057 !important;
    background-color: #fff !important;
    background-clip: padding-box !important;
    border: 0px solid #ced4da !important;
    border-radius: 0 !important;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.select2-container--default .select2-selection--single {
    background-color: #fff;
    border-radius: 0 !important;
}

.select2-container .select2-selection--single {
    height: calc(1.5rem + 0.5rem + 2px) !important;
}

.tab-pane {
    padding: 1rem;
    ;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
    color: #483a1d !important;
    background-color: #fff;
    border-color: #dee2e6 #dee2e6 #fff;
    font-weight: bold;
}

.nav-tabs .nav-link {
    border: 1px solid #ffffff;
}

.nav-tabs .nav-link {
    display: block;
    padding: .5rem 1.5rem !important;
    text-transform: uppercase;
    font-size: 0.8rem;
    color: #ffffff !important;
}

.participa2 {
    margin: 0 .5rem;
}

.infolanding {
    position: relative;
    padding-top: 1rem;
}

.titleinfo {
    color: #b65353;
    margin-bottom: 0;
    font-size: 1.2rem;
}

.fechasinfo {
    white-space: nowrap;
    text-transform: uppercase;
    font-weight: bold;
    line-height: 1.2;
}

.container.content {
    max-width: 1100px;
    padding: 1rem 0 3rem;
}

.qrcodelanding {
    max-width: 150px;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

#form-participar,
#form-validar-ticket {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
    padding-top: 2rem;
    padding-bottom: 5rem;
}

.titlerasca1 {
    font-size: clamp(1.8rem, 10vw, 5.5rem);
    line-height: .5;
    margin-top: 1rem;
}

.titlerasca2 {
    font-size: clamp(1.2rem, 6.7vw, 3rem);
    margin: 0 .5rem;
    line-height: 1;
}

.titlerasca3 {
    font-size: clamp(1rem, 3vw, 1.7);
    margin: 0 .5rem;
    line-height: 1;
}

.custom-file {
    position: relative;
    display: inline-block;
    width: 100%;
    height: calc(2.125rem + 2px);
    margin-bottom: 0;
}

.custom-file-label::after {
    display: none;
}

#div-rascar img {
    max-height: 300px;
}

#scratch_container {
    width: 300px;
    height: 300px;
    position: relative;
    margin: 0 auto;
    cursor: pointer;
}

#scratch_container>canvas {
    position: absolute;
}

.sc__inner {
    visibility: hidden;
}

.ganador {
    margin-bottom: 0;
    font-size: 1.7rem;
    line-height: 1;
}

.eurospremio {
    text-transform: uppercase;
    font-family: 'Al_Veshion_PersonalUseOnly';
    color: #b65353;
    font-size: 5rem;
    line-height: 1;
    margin: .5rem 0;
}

@media (min-width: 768px) {}

@media (min-width: 992px) {}


/* ANIMACIONES */

.atencion {
    -webkit-animation: atencion 3s ease-in-out infinite both;
    animation: atencion 3s ease-in-out infinite both;
}

@-webkit-keyframes atencion {
    from {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-transform-origin: center center;
        transform-origin: center center;
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
    10% {
        -webkit-transform: scale(0.91);
        transform: scale(0.91);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }
    17% {
        -webkit-transform: scale(0.98);
        transform: scale(0.98);
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
    33% {
        -webkit-transform: scale(0.87);
        transform: scale(0.87);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }
    45% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
}

@keyframes atencion {
    from {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-transform-origin: center center;
        transform-origin: center center;
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
    10% {
        -webkit-transform: scale(0.91);
        transform: scale(0.91);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }
    17% {
        -webkit-transform: scale(0.98);
        transform: scale(0.98);
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
    33% {
        -webkit-transform: scale(0.87);
        transform: scale(0.87);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }
    45% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
}

.roll-in-top {
    -webkit-animation: roll-in-top 1s linear both;
    animation: roll-in-top 1s linear both;
}

@-webkit-keyframes roll-in-top {
    0% {
        -webkit-transform: translateY(-800px) rotate(-540deg);
        transform: translateY(-800px) rotate(-540deg);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateY(0) rotate(0deg);
        transform: translateY(0) rotate(0deg);
        opacity: 1;
    }
}

@keyframes roll-in-top {
    0% {
        -webkit-transform: translateY(-800px) rotate(-540deg);
        transform: translateY(-800px) rotate(-540deg);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateY(0) rotate(0deg);
        transform: translateY(0) rotate(0deg);
        opacity: 1;
    }
}

.fade-out {
    -webkit-animation: fade-out 1s ease-out both;
    animation: fade-out 1s ease-out both;
}

@-webkit-keyframes fade-out {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes fade-out {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

.roll-in-left {
    -webkit-animation: roll-in-left 0.6s ease-out both;
    animation: roll-in-left 0.6s ease-out both;
}

@-webkit-keyframes roll-in-left {
    0% {
        -webkit-transform: translateX(-1600px) rotate(-1080deg);
        transform: translateX(-800px) rotate(-540deg);
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(0) rotate(0deg);
        transform: translateX(0) rotate(0deg);
        opacity: 1;
    }
}

@keyframes roll-in-left {
    0% {
        -webkit-transform: translateX(-800px) rotate(-540deg);
        transform: translateX(-800px) rotate(-540deg);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0) rotate(0deg);
        transform: translateX(0) rotate(0deg);
        opacity: 1;
    }
}

.roll-in-right {
    -webkit-animation: roll-in-right 0.6s ease-out both;
    animation: roll-in-right 0.6s ease-out both;
}

@-webkit-keyframes roll-in-right {
    0% {
        -webkit-transform: translateX(1600px) rotate(1080deg);
        transform: translateX(800px) rotate(540deg);
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(0) rotate(0deg);
        transform: translateX(0) rotate(0deg);
        opacity: 1;
    }
}

@keyframes roll-in-right {
    0% {
        -webkit-transform: translateX(800px) rotate(540deg);
        transform: translateX(800px) rotate(540deg);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0) rotate(0deg);
        transform: translateX(0) rotate(0deg);
        opacity: 1;
    }
}